HinfoFTP

Beginning with application Hnet Info FTP client

Hnet Info FTP client is used for operating files on a remote computer. This help contains further information about using of the FTP client.

  • User interface
  • Keyboard shortcuts
  • List of functions (menu)
  • Pop-up menu functions
  • Drag & Drop

    • Technical data

  • Version: 1.0
  • Year: 2001
  • Size of executable: approx. 950 kB

    • Notice

    Windows® is a defined trademark of the company Microsoft.


User interface

Hnet Info FTP application window consists of these parts:

  • Left and right panel for selected directory listing. You can see there names of files and folders in selected directory, each file is followed by its size, date of creation and attributes.

  • Properties' tables panel - contains four tables, which show transfer and state information. Download, Upload, Threads, Queue.

  • Paths panel - over the directory listing panel, a path to the active directory is shown. If the path is presented in bold, the panel bellow is focused. Otherwise, you can click this path, which will focus the panel bellow. Next to the paths is an icon, which represents a server or disk containing the listed directory. If you click this icon, a list of available drives and connected servers will open.

  • Status line - contains seven cells, which inform the user about basic operations and application state. In the first cell, you can see a disk character of the active directory listing panel and empty space size, in the second the file being transferred, in the third transfer elapsed time, in the fourth approximate time left, in the fifth amount of transferred data percent, in the sixth computer's IP address and in the last current time. If there is no selected row in the Threads fold, a file being transferred by the first thread is shown in the status line. Otherwise, the selected thread's file is shown.

  • Panel of Internet calls - you can see there all reverse calls, which means all commands sent by the client to the connected server and host computer server responses. After clicking the left mouse button in the panel area, larger window will open (with the full content of this panel), which can be resized freely and which content can be scrolled. If you click the right mouse button, you can copy the content to the clipboard.

  • Tools panel - enables easier and faster access to some of the FTP client's functions.
  • Main application menu - contains List of functions of the FTP client


Keys

Keyboard shortcuts

Ctrl + A - select all
Ctrl + C - custom command
Ctrl + D - disconnect
Ctrl + F - new connection
Ctrl + G - back to the root
Ctrl + L - allow logs
Ctrl + M - compare directories
Ctrl + N - run FTP with new connection
Ctrl + P - print directory content
Ctrl + Q - add selection to queue
Ctrl + S - change directory
Ctrl + T - change attributes
Ctrl + W - connection wizard
Ctrl + X - exit application
Ctrl + F9 - compare directories

Alt + F - find file
Alt + P - run internal Ping/Trace
Alt + T - run standard Telnet
Alt + F1 - activate left panel
Alt + F2 - activate right panel
Alt + F7 - find file

F1 - about application Hnet Info FTP client
F2 - bookmarks
F3 - refresh listing
F4 - edit file
F5 - copy files
F6 - move files
F7 - create new directory
F8 - delete file or directory
F9 - rename file or directory
F10 - custom command

TAB - switch directory listing panels focus
SPACE - files' properties


Menu

Menu of the FTP client application contain following items:

File

  • Print settings - Printer settings, paper size etc.
  • Print - prints active panel with active directory listing
  • Exit - exits the Hnet Info FTP client

    • Local

  • View file - if you have selected a file (not directory) and select this command, a system standard editor with the selected file will open.
  • Rename - is used to rename selected file or directory. If multiple files are selected, application will start to prompt for all items to rename subsequently.
  • Create directory - makes possible to create a new directory in the active panel of local directory listing.
  • Delete - removes all selected files and directories from the disk. (in case of directory, the content of the directory will be deleted).
  • Select all - selects all rows in the active window.
  • Invert selection - selects all rows that were not selected and deselects the rest.
  • Open explorer - opens MS Windows Explorer with active window's directory.
  • Change directory - this command opens a dialog with a complete hierarchical directory structure of the computer. If you select a directory and click OK, the content of the directory will be displayed in the active panel. This command can be used to set the Documents directory for each user, etc.
  • Command line - runs system command line within the active panel's path.
  • Properties - this command opens dialog with files' properties of the selected files.

    • Remote

  • Connect - is used to connect to a remote computer.
  • Bookmarks - opens saved bookmarks dialog.
  • Disconnect - performs disconnecting of the remote computer. Disconnected is the server active in the right panel, if this is a local disk, a server in the left panel is disconnected. If both panels are local, a server on the end of the list of connected servers is disconnected.
  • View file - if you select a file (not directory) and select this item, the file is downloaded and opened in the system's standard editor. If user modifies the file and saves, application recognizes that and prompts user, if He wants to update the file on the remote computer too.
  • Rename - is used to rename selected file or directory. If multiple files are selected, application will start to prompt for all items to rename subsequently.
  • Create directory- makes possible to create a new directory in the active panel of remote directory listing.
  • Delete - removes all selected files and directories from the remote computer's disk. (in case of directory, the content of the directory will be deleted).
  • Select all - selects all rows in the active window.
  • Invert selection - selects all rows that were not selected and deselects the rest.
  • Change directory - this command opens a dialog with a complete hierarchical directory structure. If you select a directory and click OK, the content of the directory will be displayed in the active panel. You can cancel the process of exploring directory structure by hitting "Stop" button.
  • Properties - this command opens files' properties dialog of the selected files and directories.
  • Custom command - a dialog for editing and sending FTP commands to the server will open.
  • Change attributes - displays dialog for remote file's attributes change.

    • Commands

  • Copy - performs copying of selected files from the active panel to the other panel. If one of the panels contains remote computer's directory listing, files are downloaded from or uploaded to the remote computer. If both panels contain remote computer directory structure, file is transferred within them. (The file is downloaded to a Temp directory and then uploaded to destination server.)
  • Move - similar to copying, in addition the file is deleted in the active panel (on the local computer or sever).
  • Compare directories - compares content of directories, in the active panel are selected all rows that are not present in the other panel.
  • Find file - opens a dialog for searching files.
  • Refresh - performs refresh of the panel for listing files in a given directory.
  • Back to root - Sets the path to root directory and lists its content.
  • Connection
  • Transfer mode - sets files transfer mode. If AUTO is selected, files will be transferred as ASCII, if they have an extension from the list in fold Settings - miscellaneous. Otherwise, the files are transferred as binaries.

    • Queue

  • Add to queue - see. Queue
  • Change start time - allows to edit the time, when should be the selected file transferred.
  • Delete selected row - deletes a selected item (in the queue fold) from the list.
  • Clear queue - Deletes all files from the queue.
  • Save queue - saves the queue content to computer's disk.
  • Load queue - loads the queue from computer's disk.

    • Tools

  • Connection wizard - runs a dialog of connection wizard, which will guide the user through all necessary steps required to connect to a remote machine.
  • Run Telnet - runs standard telnet of the MS Windows system.
  • Run Ping/Trace - runs internal Ping/Trace application
  • Run File search - runs Internet file search.
  • Allow logs - allows saving of all log information (information about connecting and file transfer).
  • Clear log file - clears the log file.
  • Change log file path - allows change of log file path.
  • Settings - runs Properties dialog of some of the FTP client parameters.
  • Filter - opens filter application dialog.
  • Change language - changes the application language. Application must be terminated in order to see the change.


Connect - login information

Connection to host computer

With this dialog, you can connect to a remote computer. It contains three folds of properties, which provide settings needed or suitable for given connection. Content of implicit directory of connected server will always appear in the right panel of directory listing.

In the first fold, you have to enter the address of the host computer, this edit field contain list of all addresses (and users with passwords), which were used in this dialog before. In the other fields, you enter the username and password. If remote computer allows anonymous login, you can set it by checking the field "Anonymous".

In the fold "Advanced settings", you can enter paths to directories that should be set by default after connection. In case of a local directory, you can choose the path in directory tree after pressing the button "...". Further, you can enter the FTP port of the server (21 by default) and check the use of a proxy server according to proxy server settings.

In the last fold, you can set number of attempts to login (unlimited - application attempts to login constantly till successful login, only once - sets only one login attempt, limited - you can edit number of attempts directly in a edit field). You can also set login attempt period, if it is not allowed, it attempts to login again immediately, otherwise login is performed after defined period of time.


Bookmarks

With this dialog, you can edit bookmarks and connect to remote computers. You can add a bookmark using the button "Add bookmark", user will be prompted to enter name of the item and then a dialog same as dialog for connection to remote computer will open. All data will be saved to the bookmark being added after the dialog closes.
Bookmarks can be saved to or loaded from computer's disk using buttons "Export bookmarks" and "Import bookmarks". If you click the "Connect" button, application will connect to the appropriate server (bookmark).


Custom command

Custom commands

With this dialog, you can send or define commands to the remote FTP server. Field of commands contains implicit commands, which can be edited. You can also add a new command - press the button "New command", choose a label (will be displayed in the commands list) and then the text of the command. This text can contain arbitrary string, which will be accepted as a command by the FTP server. Further, you can use following expressions:
  • %f - in the command will be replaced by a file name, which had been selected prior the dialog was opened; you can have several expressions in the command.
  • %[text] - text is a string, which will be displayed when prompting user for text, that will replace this expression in a command.

    • Example:
    site chmod %[Access Mask] %f
    A dialog for entering text (Access Mask) will open. If you enter rw for an example, and have prior selected file1 and file2, following will be sent to the server:
    site chmod rw file1
    site chmod rw file2

    You can send a command without adding it to the list too - by entering the command to the field "Command" and then pressing "Send Command".


Queue

Queue can be used to scheduling files' transfers, i.e. setting of time, when should the file start to be downloaded or uploaded. Its content is displayed in the queue fold. All commands that can be used with queue are available in the menu Queue.

  • Adding a file to the queue - can be done either by selecting desired files in the panel of remote directory listing and clicking "Add to queue", or by dragging the files to the Queue folder.

    After adding files to the queue, a queue scheduler opens. It contains current time and edit field for selecting time and date the file should be transferred. You have to select time in the future otherwise the file will not start to be tranfered.

  • If you have selected a row (file), you can delete this row or change its starting time, which will open the same dialog as above. You can also clear the queue content using the command "Clear queue".
  • Queue content can be saved and loaded from computer's disk. All files with queue content have an extension *.qeu.


File finder

Internet file search

Hnet Info FTP client makes possible to search files directly in the Internet, using search algorithms of some servers.
To search for a file, enter the file name in the field "File to found", choose the file type (if you want to look for mp3 file or another type of file), then select display servers (depends on which search engine would you like to use). After you have selected servers, some further fields become active. Each server contains different number of specifications. If you need to use a HTTP proxy, you must check the checkbox "Use proxy". Then you can modify input fields, which contain the information set in the settings - HTTP proxy by default. After that you can press the button "Find". You can stop searching with the button "Stop". Search results are displayed in the bottom list, status and search errors are displayed in the field "Status:".
If you want to connect to a found server and carry out the directory listing, all you need is to select desired row and press the button "Connect" or double click the desired row.


Menu

Popup menu

If you click the right mouse button in the directory listing panel, a popup menu will be shown. Its content depends on whether it is a local (first menu) or remote (second menu) directory listing. Particular commands in these menus are the same as in the application main menu. The only added item is "Sort by", which allows you to choose, which criteria will be used for sorting the directory listing (i.e. by name, date or size).


Drag & Drop

You can use Drag & drop if you press the left mouse button, and while holding it, moving the cursor to another panel or window and then releasing the button. If you see a crossed circle cursor while dragging with your mouse, it means that this window does not support drop action.
You can drag & drop between directory listing panels (will carry out copying of files) or between the server panel and queue fold (selected files will be inserted into the queue list)


Setup

FTP client setup

Hnet Info FTP client allows settings of several basic attributes in a dialog Settings. If you select this command, a dialog will open, which contains these folds:
  • Connection
  • Firewall
  • HTTP proxy
  • Miscellaneous


Connection

FTP client settings - connection

  • Disconnect after - sets the time of connection. After the time elapses, FTP client will disconnect from the host computer. If the value is zero, the connection time is unlimited.
  • Time of transfer inactivity - if a transfer is paused, time of its inactivity will start counting. If the time exceed the set time, transfer of the whole thread will be terminated.
  • Time between login attempts - time between unsuccessful connection attempts.
  • Number of login attempts - sets, how many times should the system attempt to connect.


Firewall

FTP client settings - firewall

This fold allows setting of firewall. Firewall or proxy server are used to protect the network against extraneous attacks. If you are not sure about the correct setting, ask your network administrator. Choose a type of firewall (or do not use) and then fill in enabled edit fields (server address, user, password and port).


HTTP proxy

FTP client settings - HTTP proxy

In this fold, you can set the HTTP proxy server, similar to previous fold. You need to check the "Use HTTP proxy" field and then fill in required information (HTTP proxy server name, user name, password and port). HTTP proxy server settings are used by Internet file search.


Miscellaneous

FTP client settings - miscellaneous

  • If the transfer mode is set to "Auto", ASII mode is used for transfer of files with the extension present in this edit field. Otherwise is used binary transfer. String form is .ext.ext ... ext., where ext is the extension of the transferred file. Default is .txt.dat.htm.html.nfo. It is important that the string starts and ends with a dot.
  • You can set the maximal number of connection attempts of a queue too.
  • In this fold, you can assign sound signals to some events of the FTP client. You can do that by checking the checkbox of chosen event and entering a path of the wav sound file to the edit field. You can use the nearby button to choose the sound file.


File attributes

File's and directories' attributes

  • Attributes for local directory listing - shown in the form rahs, where r represents the file is read-only, a represents archive file, h is used for hidden files and s means system files only. If an attribute is inactive, it is replaced by a dash.
  • Attributes for remote directory listing - depend on the system, under which is the FTP server running. In most cases they are in a form drwxrwxrwx, where d represents directory, rwx belongs to either user, group or other. r means that file is read-only, w that file may be modified and x that file is executable.


Download

Properties panel - download

This fold is used for listing all files that are being transferred to the local computer disk. A filename, state (error, done or transferred amount percent) and approximate time remaining to transfer whole file. In the parentheses is approximate transfer rate in megabytes per second.

If you select a file and click this button, download of the file will be terminated. If there are multiple files together in one thread, the transfer of the rest will not be terminated.

If you select a file and click this button, download of the file will be terminated. If there are multiple files together in one thread, the transfer of the whole thread will be terminated.

This button is used to completely clear the list of downloaded files. If there are active transfers, list cannot be cleared.


Přenos tam

Properties panel - upload

This fold is used for listing all files that are being transferred to the remote computer disk. A filename, state (error, done or transferred amount percent) and approximate time remaining to transfer whole file. In the parentheses is approximate transfer rate in megabytes per second.

If you select a file and click this button, upload of the file will be terminated. If there are multiple files together in one thread, the transfer of the rest will not be terminated.

If you select a file and click this button, download of the file will be terminated. If there are multiple files together in one thread, the transfer of the whole thread will be terminated.

This button is used to completely clear the list of uploaded files. If there are active transfers, list cannot be cleared.


Threads

Properties panel - threads

This fold shows all running threads - active host, which directory structure is listed, and all files transfers. Each row contains host name, state (download or upload) and time of inactivity, i.e. time elapsed from last command sent to FTP server.

If you select a thread and click this button, transfer of all files in that thread will be canceled.

If you select a transfer thread (upload or download) and click this button, transfer of all files will be paused. Time of inactivity will start to be shown immediately.

If you select a transfer thread, which was paused, you can resume the transfer by clicking this button.


Queue

Properties panel - queue

This fold shows state and content of the queue. In each row, there is a host name, filename, file's size and state (waiting, etc.)

This button is used to load the queue from computer's disk.

This button allows you to save the queue to computer's disk.

This button clears the queue.

If you select a file (row) and press this button, you can set the time of the download start, i.e. time, when will the file start to be transferred.


Available disks

List of available discs

In the opened dialog are listed all disks, which are available. The disk containing active directory is selected. Last items in the list are all servers the user is connected to. If you click a row, you can change drive (or connected server) and its content will be listed. You can close the dialog without selecting a disk by clicking "Cancel" button.


Properties

Properties of files and directories

This dialog represents number of selected files and their size. In the upper part are paths to directories (and selected files), next to it is the total size of selected directories and files, shown in several units - bytes, kilobytes, megabytes and gigabytes. In the lowest part is show number of files and directories (or subdirectories), which were included in the selection.


Change attributes

Attributes change

This dialog opens after having selected command for change of files' or directories' attributes change. Rights are sent to the server in the form of drwxrwxrwx. Some servers do not accept this format and command might not be working. In this case, you can send the command in the correct form using the command "Custom command". For user, group and others, you only need to check items you would like to set. You can check all attributes of the desired group using the button "All" on the right side. Attributes will be changed for each of selected files and directories.


File search

This dialog is used for searching files on a disk or remote computer. Enter the name of searched file in the field "Search for" (if needed, you can use the asterisk notation, i.e. *.txt would search for all files with the extension txt), then you can enter some refinement information (time of file creation or modification, max. and min. size). When searching the local computer, you can also search for files with certain attributes (field "Attributes").


Connection

Connection (session)

  • Run FTP with new connection - another Hnet Info FTP application will run.
  • Run FTP with active connection - another Hnet Info FTP application will run, which will automatically connect to the remote computer, which is active in the current application.
  • Add connection to bookmarks - a dialog with hierarchical bookmarks structure opens. You can select a node, where you want to insert a bookmark, enter the bookmark name and the connection will then be saved to bookmarks.
  • Save local path to bookmarks - if the connection was opened from bookmarks, the path of the local directory will be stored to the correct bookmark.
  • Save remote path to bookmarks - if the connection was opened from bookmarks, the path of the remote directory will be stored to the correct bookmark.


Filter

You can set useful parameters to for files and directories filtering, i.e. using of certain files for various operations (viewing, transfer). Enter the files you want to use in the field "Allowed files" and files that you would like to ignore to the field "Ignored files".

For example:
We want to show only files with the extension *.cpp without directories
To do that, add *.cpp and check checkboxes "Apply filter on local directory listing" and "Apply filter on directories".